=== debian/control ===
Source: pegasus-wms
Section: science
Priority: optional
Maintainer: Mats Rynge <mats@rynge.net>
Build-Depends: debhelper (>= 9), 
               openjdk-7-jdk,
               ant,
               docbook-xsl,
               docbook-xml,
               asciidoc,
               xsltproc,
               fop,
               perl,
               python,
               python-dev,
               libcommons-logging-java,
               libcommons-pool-java,
               libgetopt-java,
               liblog4j1.2-java,
               libmysql-java,
               libxml-commons-resolver1.1-java,
               libxerces2-java,
               libxmlrpc3-common-java
Standards-Version: 3.9.3
Homepage: http://pegasus.isi.edu

Package: pegasus-wms
Section: science
Priority: optional
Architecture: any
Depends: java7-runtime | java6-runtime,
         perl,
         python,
         python-boto,
         python-sqlalchemy,
         libcommons-logging-java,
         libcommons-pool-java,
         libgetopt-java,
         liblog4j1.2-java,
         libmysql-java,
         libxml-commons-resolver1.1-java,
         libxerces2-java,
         libxmlrpc3-common-java,
         ${shlibs:Depends}, ${misc:Depends}
Recommends: condor
Suggests: pegasus-wms-doc
Description: Scientific workflow management system for Condor
 The Pegasus project encompasses a set of technologies the help
 workflow-based applications execute in a number of different
 environments including desktops, campus clusters, grids, and now
 clouds. Scientific workflows allow users to easily express
 multi-step computations, for example retrieve data from a
 database, reformat the data, and run an analysis. Once an
 application is formalized as a workflow the Pegasus Workflow
 Management Service can map it onto available compute resources
 and execute the steps in appropriate order.

Package: pegasus-wms-doc
Section: doc
Priority: optional
Architecture: all
Depends: ${misc:Depends}
Recommends: pegasus-wms
Description: Scientific workflow management system for Condor - data files
 The Pegasus project encompasses a set of technologies the help
 workflow-based applications execute in a number of different
 environments including desktops, campus clusters, grids, and now
 clouds. Scientific workflows allow users to easily express
 multi-step computations, for example retrieve data from a
 database, reformat the data, and run an analysis. Once an
 application is formalized as a workflow the Pegasus Workflow
 Management Service can map it onto available compute resources
 and execute the steps in appropriate order.
 .
 This package contains the user documentation.
